> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get a Status Page Impact

`GET https://api.pagerduty.com/status_pages/{id}/impacts/{impact_id}`

Get an Impact for a Status Page by Status Page ID and Impact ID.

Scoped OAuth requires: `status_pages.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |
| `impact_id` | string | yes | The ID of the Status Page Impact. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `impact` | object |  | A StatusPageImpact resource represents a level of impact for a given Status Page Post. |
| `impact.id` | string |  | An unique identifier within Status Page scope that defines a Impact entry. Read-only. |
| `impact.self` | string |  | The API resource URL of the Impact. Read-only. |
| `impact.description` | string |  | The description is a human-readable text that describes the Impact level. |
| `impact.post_type` | string |  | The type of the Post. One of: `incident`, `maintenance`. |
| `impact.status_page` | object |  | Status Page. |
| `impact.status_page.id` | string | yes | Status page unique identifier. |
| `impact.status_page.type` | string |  | A string that determines the schema of the object. |
| `impact.type` | string |  | The type of the object returned by the API - in this case, a Status Page Impact. |

Example: Response Example

```json
{
  "impact": {
    "description": "operational",
    "id": "PIJ90N7",
    "post_type": "incident",
    "self": "https://api.pagerduty.com/status_pages/PQ8W0D0/impacts/PIJ90N7",
    "status_page": {
      "id": "PQ8W0D0",
      "type": "status_page"
    },
    "type": "status_page_impact"
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
